# $Id: kernel-fix-security-altsec.spec,v 1.6 2006/07/13 19:21:34 lakostis Exp $

%define patch_name kernel-fix-security-altsec
%define ver 0.0.7
%define kver 2.6.16

Name: %patch_name
Version: 2006.03.18
Release: alt0.6
Summary: %patch_name kernel patch - ALTLinux kernel hardering patch
License: GPL
Group: Development/Kernel
URL: http://lakostis.elektrostal.ru/patches/kernel/fix/security-altsec
BuildArch: noarch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.3-alt1

%source 1600	altsecurity-%kver-v%ver.patch		2.6
%source 1630	altsecurity-%kver-v%ver-ovz.patch	2.6/kernel-feat-core-openvz
%source 1650	altsecurity-%kver-v%ver-no_ovz.patch	2.6/not_kernel-feat-core-openvz

%description
Hardening patch for Linux 2.6 kernel inspired by Owl/grsecurity patches.

Thanks:
* Ideas/suggestions/code samples - Sergey Vlasov <vsu () altlinux ! org>
* Ideas/code - Solar Designer <solar () openwall ! com>
* Ideas/code - grsecurity kernel patches

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue Sep 19 2006 L.A. Kostis <lakostis@altlinux.org> 2006.03.18-alt0.6
- Update for OpenVZ 026test018 patch.

* Thu Jul 13 2006 L.A. Kostis <lakostis@altlinux.ru> 2006.03.18-alt0.5
- Fixed broken ovz patch.

* Mon Jul 03 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.18-alt0.4
- Fixed broken no_ovz patch.

* Mon Jun 26 2006 LAKostis <lakostis at alltinux.ru> 2006.03.18-alt0.3
- updated for OpenVZ patch.
- remove obsoleted PaX patches.

* Sat Mar 18 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.18-alt0.2
- Ported patch to 2.6.16 (only without kernel-fix-security-pax for now).

* Sat Mar 18 2006 LAKostis <lakostis at altiinux.org> 2006.03.18-alt0.1
- updated to 0.0.7 (some fixes in /proc entries permissions and 
  critical fixes in shm trashing code).

* Sun Mar 12 2006 LAKostis <lakostis at altlinux.org> 2006.03.12-alt0.1
- updated to 0.0.6 (code cleanup).

* Wed Mar 08 2006 LAKostis <lakostis at altlinux.org> 2006.03.09-alt0.1
- updated to 0.0.5 (fix x86-64 build).
- updated desc of package.

* Wed Mar 08 2006 LAKostis <lakostis at altlinux.org> 2006.03.08-alt0.1
- updated to 0.0.4.

* Mon Mar 06 2006 LAKostis <lakostis at altlinux.org> 2006.03.06-alt0.1
- Initial build.
